@import "../../../assets/styles/main.scss";

.operaterApnDetailSection {
  padding-bottom: 110px;
  position: relative;
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .operaterApnDetailContainer {
    @include container-medium-1;
    .operaterTable {
      width: 100%;
      overflow-x: auto;
      table {
        border-spacing: 0px;
        border-collapse: unset;
        border-bottom: 1px solid #c3c3c3;
        position: relative;
        z-index: 9;
        width: 100%;
        margin-bottom: 0px;
        &:nth-last-child(1) {
          border-top-right-radius: 19px;
          border-bottom-right-radius: 19px;
        }
        &:nth-child(1) {
          border-top-left-radius: 19px;
          border-bottom-left-radius: 19px;
        }
        thead {
          th {
            border-bottom: unset !important;
            border-left: 1px solid #c3c3c3;
            background: #1e293b;
            padding: 0px 23px;
            h1 {
              display: flex;
              align-items: center;
              font-size: 20px;
              color: #fff;
              line-height: normal;
              @include inter700;
              height: 73px;
            }
            &:nth-child(1) {
              border-top-left-radius: 19px;
              border-left: unset !important;
              border-left-color: #fff;
              width: 25%;
            }

            &:nth-last-child(1) {
              border-top-right-radius: 19px;
              width: 30%;
            }
          }
        }
        tbody {
          td {
            border-bottom: unset !important;
            border-right: 1px solid #c3c3c3;
            padding: 0px 23px;
            font-size: 14px;
            line-height: 50px;
            @include inter700;

            &:nth-child(1) {
              border-left: 1px solid #c3c3c3 !important;
            }

            .ApnName {
              display: flex;
              align-items: center;
              justify-content: space-between;
              gap: 20px;
            }
            .apnCopyImage {
              width: 20px;
              height: 20px;
              @include vertical_align_center;

              svg {
                width: 17px;
                height: 17px;
                cursor: pointer;
              }
            }
          }
        }
        tbody tr:first-child td {
          padding-top: 21px;
        }
        tbody tr:last-child td {
          padding-bottom: 28px;
          &:nth-child(1) {
            border-bottom-left-radius: 19px;
          }
          &:nth-last-child(1) {
            border-bottom-right-radius: 19px;
          }
        }
      }
    }
  }
}
